Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum Qt.ArrowType

    java.lang.Object
      java.lang.Enum<Qt.ArrowType>
          com.trolltech.qt.core.Qt.ArrowType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<Qt.ArrowType>

Enclosing interface:
  Qt

    public static enum Qt.ArrowType

extends java.lang.Enum<Qt.ArrowType>
implements QtEnumerator

Press link for info on Qt.ArrowType

Enum Constant Summary
`DownArrow` Internal.
`LeftArrow` Internal.
`NoArrow` Internal.
`RightArrow` Internal.
`UpArrow` Internal.

Method Summary
`static Qt.ArrowType` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.ArrowType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Qt.ArrowType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoArrow

    public static final Qt.ArrowType NoArrow

  Internal.

### UpArrow

    public static final Qt.ArrowType UpArrow

  Internal.

### DownArrow

    public static final Qt.ArrowType DownArrow

  Internal.

### LeftArrow

    public static final Qt.ArrowType LeftArrow

  Internal.

### RightArrow

    public static final Qt.ArrowType RightArrow

  Internal.

Method Detail

### values

    public static final Qt.ArrowType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Qt.ArrowType c : Qt.ArrowType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Qt.ArrowType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.ArrowType resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD